//
//  WFTopLevelFoldersEnumerator.h
//  DemoSomeFiles
//
//  Created by Amy Worrall on 04/09/2017.
//  Copyright © 2017 Amy Worrall. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <FileProvider/FileProvider.h>
#import "FileDBProviderProtocol.h"

@interface WFTopLevelFoldersEnumerator : NSObject<NSFileProviderEnumerator>

- (instancetype)init NS_UNAVAILABLE;
- (instancetype)initWithEnumeratedItemIdentifier:(NSFileProviderItemIdentifier)enumeratedItemIdentifier;

@property (nonatomic, readonly, strong) NSFileProviderItemIdentifier enumeratedItemIdentifier;

@property (nonatomic, weak) id<FileDBProvider> delegate;

@end
