//
//  FileProviderItem.h
//  DemoSomeFiles
//
//  Created by Amy Worrall on 04/09/2017.
//  Copyright © 2017 Amy Worrall. All rights reserved.
//

#import <FileProvider/FileProvider.h>

@interface FileProviderItem : NSObject <NSFileProviderItem>

- (instancetype)initFolderWithFolderID:(NSString *)fbid name:(NSString *)name;

+ (instancetype)fromDictionary:(NSDictionary *)dict;

- (NSDictionary *)toDictionary;

- (instancetype)initFileWithFileID:(NSString *)fileID parentFolderID:(NSString *)folderID name:(NSString *)name owner:(NSString *)owner size:(NSInteger)bytes type:(NSString *)mimeType downloadURL:(NSString *)downloadURL;

@property (nonatomic, strong, readonly) NSString *downloadURL;
@property (nonatomic, assign, readonly) BOOL isFolder;

@end
